## AntStructure

### Description

Generates an DTD for Ant buildfiles which contains information about all tasks currently known to Ant.

Actually the DTD will not be a real DTD for buildfiles since Ant's usage of XML cannot be captured with a DTD. Several elements in Ant can have different attribute lists depending on the element that contains them. "fail" for example can be the task or the nested child element of the sound task. Don't consider the generated DTD something to rely upon.

Also note that the DTD generated by this task is incomplete, you can always add XML entities using `<taskdef>` or `<typedef>`. See here for a way to get around this problem.

This task doesn't know about required attributes, all will be listed as `#IMPLIED`.

### Parameters

Attribute | Description | Required
output | file to write the DTD to. | Yes

### Examples

>     <antstructure output="project.dtd"/>

Copyright © 2000-2002,2004 The Apache Software Foundation. All rights Reserved.